## org.apache.catalina.deploy
Class ErrorPage

    java.lang.Object
      org.apache.catalina.deploy.ErrorPage

public final class ErrorPage
extends java.lang.Object

Representation of an error page element for a web application, as represented in a `<error-page>` element in the deployment descriptor.

Version:
  $Revision: 1.5 $ $Date: 2004/08/26 21:33:24 $
Author:
  Craig R. McClanahan

Constructor Summary
`ErrorPage()`

Method Summary
`int` `getErrorCode()` Return the error code.
`java.lang.String` `getExceptionType()` Return the exception type.
`java.lang.String` `getLocation()` Return the location.
`void` `setErrorCode(int errorCode)` Set the error code.
`void` `setErrorCode(java.lang.String errorCode)` Set the error code (hack for default XmlMapper data type).
`void` `setExceptionType(java.lang.String exceptionType)` Set the exception type.
`void` `setLocation(java.lang.String location)` Set the location.
`java.lang.String` `toString()` Render a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorPage

    public ErrorPage()

Method Detail

### getErrorCode

    public int getErrorCode()

  Return the error code.

### setErrorCode

    public void setErrorCode(int errorCode)

  Set the error code.

  Parameters:
    `errorCode` - The new error code

### setErrorCode

    public void setErrorCode(java.lang.String errorCode)

  Set the error code (hack for default XmlMapper data type).

  Parameters:
    `errorCode` - The new error code

### getExceptionType

    public java.lang.String getExceptionType()

  Return the exception type.

### setExceptionType

    public void setExceptionType(java.lang.String exceptionType)

  Set the exception type.

  Parameters:
    `exceptionType` - The new exception type

### getLocation

    public java.lang.String getLocation()

  Return the location.

### setLocation

    public void setLocation(java.lang.String location)

  Set the location.

  Parameters:
    `location` - The new location

### toString

    public java.lang.String toString()

  Render a String representation of this object.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.